import type { ManualPollOptions } from "./ConfigCatClientOptions";
import type { IConfigFetcher } from "./ConfigFetcher";
import type { IConfigService, RefreshResult } from "./ConfigServiceBase";
import { ClientCacheState, ConfigServiceBase } from "./ConfigServiceBase";
import type { ProjectConfig } from "./ProjectConfig";
export declare class ManualPollConfigService extends ConfigServiceBase<ManualPollOptions> implements IConfigService {
    readonly readyPromise: Promise<ClientCacheState>;
    constructor(configFetcher: IConfigFetcher, options: ManualPollOptions);
    getCacheState(cachedConfig: ProjectConfig): ClientCacheState;
    getConfig(): Promise<ProjectConfig>;
    refreshConfigAsync(): Promise<[RefreshResult, ProjectConfig]>;
}
//# sourceMappingURL=ManualPollConfigService.d.ts.map