export declare function setupPolyfills(): void;
export declare function ObjectValuesPolyfill<T>(o: {
    [s: string]: T;
} | ArrayLike<T>): T[];
export declare function ObjectEntriesPolyfill<T>(o: {
    [s: string]: T;
} | ArrayLike<T>): [string, T][];
export declare function ObjectFromEntriesPolyfill<T>(entries: Iterable<readonly [PropertyKey, T]>): {
    [k: string]: T;
};
export declare function getWeakRefStub<T extends object>(): WeakRefConstructor;
export declare const isWeakRefAvailable: () => boolean;
//# sourceMappingURL=Polyfills.d.ts.map