export interface ISemVer {
    version: string;
    major: number;
    minor: number;
    patch: number;
    prerelease?: ReadonlyArray<number | string>;
    build: ReadonlyArray<string>;
    compare(other: ISemVer): number;
}
export declare const parse: (version: string | ISemVer, options?: boolean | {
    loose?: boolean | undefined;
    includePrerelease?: boolean | undefined;
} | undefined) => ISemVer | null;
//# sourceMappingURL=Semver.d.ts.map