export declare class AbortToken {
    private callbacks;
    get aborted(): boolean;
    abort(): void;
    registerCallback(callback: () => void): () => void;
}
export declare function delay(delayMs: number, abortToken?: AbortToken | null): Promise<boolean>;
export declare function errorToString(err: any, includeStackTrace?: boolean): string;
export declare function throwError(err: any): never;
export declare function isArray(value: unknown): value is readonly unknown[];
export declare function isStringArray(value: unknown): value is string[];
export declare function formatStringList(items: ReadonlyArray<string>, maxLength?: number, getOmittedItemsText?: (count: number) => string, separator?: string): string;
export declare function isPromiseLike<T>(obj: unknown): obj is PromiseLike<T>;
export declare function utf8Encode(text: string): string;
export declare function parseFloatStrict(value: unknown): number;
//# sourceMappingURL=Utils.d.ts.map